jQuery(function($){

	$("#cargarVersion").bind("click",function(event){
		//event.preventDefault();
		cargarVersion();
	});	
	
	$("#Versiones").rup_table({	
		url: $.rup.CTX_PATH + "planesestrategicos/versiones/"+codplane,
		colNames: [
			"",
			"codplane",
			$.rup.i18n.app.campos_tabla_planes_estrategicos["fechaAlta"],
			"codplanificacion",
			"codentidad",
			$.rup.i18n.app.campos_tabla_planes_estrategicos["nombreEntidadPlani"],
			$.rup.i18n.app.campos_tabla_planes_estrategicos["nombre"],
			$.rup.i18n.app.campos_tabla_planes_estrategicos["txostena"],
			"txostenaCod"
			
		],
		colModel: [
			{ 	name: "codVersion",
				index: "CODVERSION",
				align: "left",
				width: 30,
				hidden: false,
				sortable: false,
				formatter: crearRadio
			},
			{ 	name: "codplane",
				index: "CODPLANE",
				align: "left",
				hidden: true,
				sortable: true
			},
			{ 	name: "fechaAlta",
				index: "CODPLANE",
				align: "left",
				width: 100,
				hidden: false,
				sortable: true
			},
			{ 	name: "planificacion.codplanificacion",
				index: "CODPLANIFICACION",
				align: "left",
				hidden: true,
				sortable: true
			},
			{ 	name: "entidad.codentidad",
				index: "CODENTIDAD",
				align: "left",
				hidden: true,
				sortable: true
			},
			{ 	name: "entidadPlanificacion",
				index: "DESENTIDAD",
				align: "left",
				width: 300,
				hidden: false,
				sortable: true
			},
			{ 	name: "nombreIdioma",
				index: "NOMBRE" +IDIOMA,
				align: "left",
				width: 250,
				hidden: false,
				sortable: true
			},
			{ 	name: "solitudTxostena",
				index: "SOLICITUDTXOSTENA",
				align: "left",
				width: 100,
				hidden: false,
				sortable: true,
				formatter: formatterTxostena
			},
			{ 	name: "solitudTxostena",
				index: "SOLICITAR_TXOSTENA",
				align: "left",
				hidden: true,
				sortable: true
			}
        ],
        model:"PlanesEstrategicos",
        usePlugins:[
        	"feedback",
			"toolbar"
         	],
		primaryKey: "codVersion",
		sortname: "CODVERSION",
		sortorder: "DESC",
		loadOnStartUp: true,
		feedback:{
			config:{
				block: false
			}
		},
		core:{
	    	showOperations:{
	    		"clone": false,
	    		"delete": false
	    	},
	    	operations:{
	    	}
    	},
        formEdit:{
        }
    	,onSelectRow:function(id){
    		var nombre="codversiones_"+id;
    		$("input[id='"+nombre+"'").attr('checked',true);
    	},
    	width:800
	});
	
	
	function crearRadio(cellval, el, rowData){
		
		var html = "";	
		 html += '<input type="radio" id="codversiones_' + rowData.codVersion  + '" name="codversiones" value="'+rowData.codVersion+'" />';
		return html;
	 }
	
	
	// Formatter txostena
	function formatterTxostena(cellval) {
		var resultado = "";
		if(cellval != undefined ) {
			if(TXOSTENA_SOLICITADO == cellval) {
				resultado = $.rup.i18n.app.campos_tabla_planes_estrategicos['txostenaSolicitado'];
			} else if(TXOSTENA_NO_SOLICITADO == cellval) {
				resultado = $.rup.i18n.app.campos_tabla_planes_estrategicos['txostenaNoSolicitado'];
			}
		}
		return resultado;
	}
	

	function cargarVersion(){
		var codigoVersion = $('input:radio[id^=codversiones]:checked').val();
				
		if(codigoVersion!=undefined){
			ab39aUtils.util.bloquearInterfaz();
			window.location = $.rup.CTX_PATH + "elementosArbol/arbol/detalle/" + codplane + "/PE/"+codigoVersion+"/1";			
		}
		
	}
	
	
	$("#Versiones_toolbar").css("display","none");
	$("#Versiones_pager_left").css("width","10px");
	//$("#Versiones_toolbar").css("width","681px");

});





